curl --request PUT \
--url https://api.synci.io/api/v1/finance/accounts/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"map_fields": {},
"sync_start_date": "2025-01-01",
"sync_auto": true,
"sync_pending_transactions": true,
"pending_settlement_matching": true,
"pending_settlement_max_days": 7,
"fuzzy_counterparty_matching": true,
"fuzzy_counterparty_min_chars": 6,
"sync_balances": true,
"sync_frequency_in_minutes": 735,
"fields_for_duplicate_filtering": null,
"enrichment": {
"enabled": true,
"country": "<string>"
}
},
"bic": "<string>",
"name": "<string>",
"custom_name": "<string>",
"display_name": "<string>",
"bban": "<string>",
"iban": "<string>",
"currency": "<string>",
"product_name": "<string>",
"details": "<string>",
"owner_name": "<string>",
"msisdn": "<string>",
"integrator_id": "<string>",
"institution_id": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {
map_fields: {},
sync_start_date: '2025-01-01',
sync_auto: true,
sync_pending_transactions: true,
pending_settlement_matching: true,
pending_settlement_max_days: 7,
fuzzy_counterparty_matching: true,
fuzzy_counterparty_min_chars: 6,
sync_balances: true,
sync_frequency_in_minutes: 735,
fields_for_duplicate_filtering: null,
enrichment: {enabled: true, country: '<string>'}
},
bic: '<string>',
name: '<string>',
custom_name: '<string>',
display_name: '<string>',
bban: '<string>',
iban: '<string>',
currency: '<string>',
product_name: '<string>',
details: '<string>',
owner_name: '<string>',
msisdn: '<string>',
integrator_id: '<string>',
institution_id: '<string>'
})
};
fetch('https://api.synci.io/api/v1/finance/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/finance/accounts/{accountId}"
payload = {
"config": {
"map_fields": {},
"sync_start_date": "2025-01-01",
"sync_auto": True,
"sync_pending_transactions": True,
"pending_settlement_matching": True,
"pending_settlement_max_days": 7,
"fuzzy_counterparty_matching": True,
"fuzzy_counterparty_min_chars": 6,
"sync_balances": True,
"sync_frequency_in_minutes": 735,
"fields_for_duplicate_filtering": None,
"enrichment": {
"enabled": True,
"country": "<string>"
}
},
"bic": "<string>",
"name": "<string>",
"custom_name": "<string>",
"display_name": "<string>",
"bban": "<string>",
"iban": "<string>",
"currency": "<string>",
"product_name": "<string>",
"details": "<string>",
"owner_name": "<string>",
"msisdn": "<string>",
"integrator_id": "<string>",
"institution_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/finance/accounts/{accountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
'map_fields' => [
],
'sync_start_date' => '2025-01-01',
'sync_auto' => true,
'sync_pending_transactions' => true,
'pending_settlement_matching' => true,
'pending_settlement_max_days' => 7,
'fuzzy_counterparty_matching' => true,
'fuzzy_counterparty_min_chars' => 6,
'sync_balances' => true,
'sync_frequency_in_minutes' => 735,
'fields_for_duplicate_filtering' => null,
'enrichment' => [
'enabled' => true,
'country' => '<string>'
]
],
'bic' => '<string>',
'name' => '<string>',
'custom_name' => '<string>',
'display_name' => '<string>',
'bban' => '<string>',
'iban' => '<string>',
'currency' => '<string>',
'product_name' => '<string>',
'details' => '<string>',
'owner_name' => '<string>',
'msisdn' => '<string>',
'integrator_id' => '<string>',
'institution_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/finance/accounts/{accountId}"
payload := strings.NewReader("{\n \"config\": {\n \"map_fields\": {},\n \"sync_start_date\": \"2025-01-01\",\n \"sync_auto\": true,\n \"sync_pending_transactions\": true,\n \"pending_settlement_matching\": true,\n \"pending_settlement_max_days\": 7,\n \"fuzzy_counterparty_matching\": true,\n \"fuzzy_counterparty_min_chars\": 6,\n \"sync_balances\": true,\n \"sync_frequency_in_minutes\": 735,\n \"fields_for_duplicate_filtering\": null,\n \"enrichment\": {\n \"enabled\": true,\n \"country\": \"<string>\"\n }\n },\n \"bic\": \"<string>\",\n \"name\": \"<string>\",\n \"custom_name\": \"<string>\",\n \"display_name\": \"<string>\",\n \"bban\": \"<string>\",\n \"iban\": \"<string>\",\n \"currency\": \"<string>\",\n \"product_name\": \"<string>\",\n \"details\": \"<string>\",\n \"owner_name\": \"<string>\",\n \"msisdn\": \"<string>\",\n \"integrator_id\": \"<string>\",\n \"institution_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Financial account updated.",
"data": {
"id": "<string>",
"financial_connection": {
"id": "<string>",
"institution_id": "<string>",
"region": "<string>",
"enabled": "<string>",
"status": "<string>",
"status_message": "<string>",
"sync_balances": "<string>",
"supports_reauthorization": true,
"supports_manage": true,
"max_historical_days": "<string>",
"access_valid_for_days": "<string>",
"consent_expires_at": "<string>",
"reference": "<string>",
"accounts_last_synced_at": "<string>",
"setup_pending": true,
"setup_renewal": "<string>",
"activated_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"institution": {
"id": "<string>",
"integrator": "<string>",
"region": "<string>",
"country": "<string>",
"name": "<string>",
"bic": "<string>",
"external_id": "<string>",
"logo": "<string>",
"supported": "<string>",
"supports_pending_transactions": "<string>",
"supports_card_accounts": "<string>",
"max_historical_days": "<string>",
"max_access_valid_for_days": "<string>",
"supported_products": "<string>",
"category": "<string>",
"updated_at": "<string>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"financial_accounts": "<array>",
"financial_accounts_count": "<string>"
},
"config": {
"map_fields": {
"payee": "<string>",
"description": "<string>",
"date": "<string>"
},
"enrichment": {
"enabled": "<string>",
"provider": "<string>",
"country": "<string>"
},
"sync_start_date": "2025-01-01",
"sync_auto": "<string>",
"sync_pending_transactions": "<string>",
"pending_settlement_matching": "<string>",
"pending_settlement_max_days": "<string>",
"fuzzy_counterparty_matching": "<string>",
"fuzzy_counterparty_min_chars": "<string>",
"sync_balances": "<string>",
"sync_frequency_in_minutes": "<string>",
"fields_for_duplicate_filtering": [
"<string>"
]
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"enabled": "<string>",
"integrator": "<string>",
"account_category": "<string>",
"raw_type": "<string>",
"cash_balance": {
"amount": "<string>",
"currency": "<string>"
},
"total_balance": {
"amount": "<string>",
"currency": "<string>"
},
"meta": "<string>",
"name": "<string>",
"custom_name": "<string>",
"display_name": "<string>",
"currency": "<string>",
"product_name": "<string>",
"cash_account_type": "<string>",
"account_usage": "<string>",
"linked_accounts": "<string>",
"details": "<string>",
"details_last_synced_at": "<string>",
"transactions_last_synced_at": "<string>",
"transactions_backfill_cursor": "<string>",
"balances_last_synced_at": "<string>",
"balance": {
"available": "<string>",
"cleared": "<string>"
},
"rules": [
{
"order": 123,
"rule": {}
}
],
"created_at": "<string>",
"updated_at": "<string>",
"financial_connection_id": "<string>",
"account_number_masked": "<string>",
"bban": "<string>",
"scan": "<string>",
"iban": "<string>",
"bic": "<string>",
"owner_name": "<string>",
"owner_address": "<string>",
"msisdn": "<string>",
"integrator_id": "<string>",
"institution_id": "<string>",
"transfer_links": [
{
"id": "<string>",
"financial_account_id": "<string>",
"destination_type": "<string>",
"destination_id": "<string>",
"transfer_start_date": "2025-01-01",
"active": "<string>",
"sync_mode": "<string>",
"on_booked_change": {
"update_status": "<string>",
"update_payee": "<string>",
"update_description": "<string>",
"update_amount": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_account": "<unknown>",
"destination": {
"id": "<string>",
"budget_id": "<string>",
"ynab_id": "<string>",
"name": "<string>",
"type": "<string>",
"on_budget": "<string>",
"closed": "<string>",
"note": "<string>",
"balance": "<string>",
"cleared_balance": "<string>",
"uncleared_balance": "<string>",
"transfer_payee_id": "<string>",
"direct_import_linked": "<string>",
"last_reconciled_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"budget": {
"id": "<string>",
"connection_id": "<string>",
"ynab_id": "<string>",
"enabled": "<string>",
"name": "<string>",
"currency": "<string>",
"first_month": "<string>",
"last_month": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"connection": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"sync_balances": "<string>",
"ynab_user_id": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"auth_url": "<string>",
"budgets": "<array>"
},
"accounts": "<array>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"transfer_links": "<array>"
},
"rules": [
{
"order": 123,
"rule": {}
}
]
}
],
"transfer_links_count": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Update financial account
curl --request PUT \
--url https://api.synci.io/api/v1/finance/accounts/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"map_fields": {},
"sync_start_date": "2025-01-01",
"sync_auto": true,
"sync_pending_transactions": true,
"pending_settlement_matching": true,
"pending_settlement_max_days": 7,
"fuzzy_counterparty_matching": true,
"fuzzy_counterparty_min_chars": 6,
"sync_balances": true,
"sync_frequency_in_minutes": 735,
"fields_for_duplicate_filtering": null,
"enrichment": {
"enabled": true,
"country": "<string>"
}
},
"bic": "<string>",
"name": "<string>",
"custom_name": "<string>",
"display_name": "<string>",
"bban": "<string>",
"iban": "<string>",
"currency": "<string>",
"product_name": "<string>",
"details": "<string>",
"owner_name": "<string>",
"msisdn": "<string>",
"integrator_id": "<string>",
"institution_id": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {
map_fields: {},
sync_start_date: '2025-01-01',
sync_auto: true,
sync_pending_transactions: true,
pending_settlement_matching: true,
pending_settlement_max_days: 7,
fuzzy_counterparty_matching: true,
fuzzy_counterparty_min_chars: 6,
sync_balances: true,
sync_frequency_in_minutes: 735,
fields_for_duplicate_filtering: null,
enrichment: {enabled: true, country: '<string>'}
},
bic: '<string>',
name: '<string>',
custom_name: '<string>',
display_name: '<string>',
bban: '<string>',
iban: '<string>',
currency: '<string>',
product_name: '<string>',
details: '<string>',
owner_name: '<string>',
msisdn: '<string>',
integrator_id: '<string>',
institution_id: '<string>'
})
};
fetch('https://api.synci.io/api/v1/finance/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/finance/accounts/{accountId}"
payload = {
"config": {
"map_fields": {},
"sync_start_date": "2025-01-01",
"sync_auto": True,
"sync_pending_transactions": True,
"pending_settlement_matching": True,
"pending_settlement_max_days": 7,
"fuzzy_counterparty_matching": True,
"fuzzy_counterparty_min_chars": 6,
"sync_balances": True,
"sync_frequency_in_minutes": 735,
"fields_for_duplicate_filtering": None,
"enrichment": {
"enabled": True,
"country": "<string>"
}
},
"bic": "<string>",
"name": "<string>",
"custom_name": "<string>",
"display_name": "<string>",
"bban": "<string>",
"iban": "<string>",
"currency": "<string>",
"product_name": "<string>",
"details": "<string>",
"owner_name": "<string>",
"msisdn": "<string>",
"integrator_id": "<string>",
"institution_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/finance/accounts/{accountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
'map_fields' => [
],
'sync_start_date' => '2025-01-01',
'sync_auto' => true,
'sync_pending_transactions' => true,
'pending_settlement_matching' => true,
'pending_settlement_max_days' => 7,
'fuzzy_counterparty_matching' => true,
'fuzzy_counterparty_min_chars' => 6,
'sync_balances' => true,
'sync_frequency_in_minutes' => 735,
'fields_for_duplicate_filtering' => null,
'enrichment' => [
'enabled' => true,
'country' => '<string>'
]
],
'bic' => '<string>',
'name' => '<string>',
'custom_name' => '<string>',
'display_name' => '<string>',
'bban' => '<string>',
'iban' => '<string>',
'currency' => '<string>',
'product_name' => '<string>',
'details' => '<string>',
'owner_name' => '<string>',
'msisdn' => '<string>',
'integrator_id' => '<string>',
'institution_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/finance/accounts/{accountId}"
payload := strings.NewReader("{\n \"config\": {\n \"map_fields\": {},\n \"sync_start_date\": \"2025-01-01\",\n \"sync_auto\": true,\n \"sync_pending_transactions\": true,\n \"pending_settlement_matching\": true,\n \"pending_settlement_max_days\": 7,\n \"fuzzy_counterparty_matching\": true,\n \"fuzzy_counterparty_min_chars\": 6,\n \"sync_balances\": true,\n \"sync_frequency_in_minutes\": 735,\n \"fields_for_duplicate_filtering\": null,\n \"enrichment\": {\n \"enabled\": true,\n \"country\": \"<string>\"\n }\n },\n \"bic\": \"<string>\",\n \"name\": \"<string>\",\n \"custom_name\": \"<string>\",\n \"display_name\": \"<string>\",\n \"bban\": \"<string>\",\n \"iban\": \"<string>\",\n \"currency\": \"<string>\",\n \"product_name\": \"<string>\",\n \"details\": \"<string>\",\n \"owner_name\": \"<string>\",\n \"msisdn\": \"<string>\",\n \"integrator_id\": \"<string>\",\n \"institution_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Financial account updated.",
"data": {
"id": "<string>",
"financial_connection": {
"id": "<string>",
"institution_id": "<string>",
"region": "<string>",
"enabled": "<string>",
"status": "<string>",
"status_message": "<string>",
"sync_balances": "<string>",
"supports_reauthorization": true,
"supports_manage": true,
"max_historical_days": "<string>",
"access_valid_for_days": "<string>",
"consent_expires_at": "<string>",
"reference": "<string>",
"accounts_last_synced_at": "<string>",
"setup_pending": true,
"setup_renewal": "<string>",
"activated_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"institution": {
"id": "<string>",
"integrator": "<string>",
"region": "<string>",
"country": "<string>",
"name": "<string>",
"bic": "<string>",
"external_id": "<string>",
"logo": "<string>",
"supported": "<string>",
"supports_pending_transactions": "<string>",
"supports_card_accounts": "<string>",
"max_historical_days": "<string>",
"max_access_valid_for_days": "<string>",
"supported_products": "<string>",
"category": "<string>",
"updated_at": "<string>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"financial_accounts": "<array>",
"financial_accounts_count": "<string>"
},
"config": {
"map_fields": {
"payee": "<string>",
"description": "<string>",
"date": "<string>"
},
"enrichment": {
"enabled": "<string>",
"provider": "<string>",
"country": "<string>"
},
"sync_start_date": "2025-01-01",
"sync_auto": "<string>",
"sync_pending_transactions": "<string>",
"pending_settlement_matching": "<string>",
"pending_settlement_max_days": "<string>",
"fuzzy_counterparty_matching": "<string>",
"fuzzy_counterparty_min_chars": "<string>",
"sync_balances": "<string>",
"sync_frequency_in_minutes": "<string>",
"fields_for_duplicate_filtering": [
"<string>"
]
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"enabled": "<string>",
"integrator": "<string>",
"account_category": "<string>",
"raw_type": "<string>",
"cash_balance": {
"amount": "<string>",
"currency": "<string>"
},
"total_balance": {
"amount": "<string>",
"currency": "<string>"
},
"meta": "<string>",
"name": "<string>",
"custom_name": "<string>",
"display_name": "<string>",
"currency": "<string>",
"product_name": "<string>",
"cash_account_type": "<string>",
"account_usage": "<string>",
"linked_accounts": "<string>",
"details": "<string>",
"details_last_synced_at": "<string>",
"transactions_last_synced_at": "<string>",
"transactions_backfill_cursor": "<string>",
"balances_last_synced_at": "<string>",
"balance": {
"available": "<string>",
"cleared": "<string>"
},
"rules": [
{
"order": 123,
"rule": {}
}
],
"created_at": "<string>",
"updated_at": "<string>",
"financial_connection_id": "<string>",
"account_number_masked": "<string>",
"bban": "<string>",
"scan": "<string>",
"iban": "<string>",
"bic": "<string>",
"owner_name": "<string>",
"owner_address": "<string>",
"msisdn": "<string>",
"integrator_id": "<string>",
"institution_id": "<string>",
"transfer_links": [
{
"id": "<string>",
"financial_account_id": "<string>",
"destination_type": "<string>",
"destination_id": "<string>",
"transfer_start_date": "2025-01-01",
"active": "<string>",
"sync_mode": "<string>",
"on_booked_change": {
"update_status": "<string>",
"update_payee": "<string>",
"update_description": "<string>",
"update_amount": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_account": "<unknown>",
"destination": {
"id": "<string>",
"budget_id": "<string>",
"ynab_id": "<string>",
"name": "<string>",
"type": "<string>",
"on_budget": "<string>",
"closed": "<string>",
"note": "<string>",
"balance": "<string>",
"cleared_balance": "<string>",
"uncleared_balance": "<string>",
"transfer_payee_id": "<string>",
"direct_import_linked": "<string>",
"last_reconciled_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"budget": {
"id": "<string>",
"connection_id": "<string>",
"ynab_id": "<string>",
"enabled": "<string>",
"name": "<string>",
"currency": "<string>",
"first_month": "<string>",
"last_month": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"connection": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"sync_balances": "<string>",
"ynab_user_id": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"auth_url": "<string>",
"budgets": "<array>"
},
"accounts": "<array>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"transfer_links": "<array>"
},
"rules": [
{
"order": 123,
"rule": {}
}
]
}
],
"transfer_links_count": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The financial account ID
Body
The financial account's configuration
Show child attributes
Show child attributes
Institution Identifier Code (BIC/SWIFT code).
255Name of the account, as assigned by the financial institution.
255Custom name for the account, as defined by the end user.
255Name of the account as defined by the end user within online channels.
255Basic Bank Account Number (BBAN). Must be provided if IBAN is not provided.
255International Bank Account Number (IBAN). Must be provided if BBAN is not provided.
255ISO 4217 currency code.
3^[A-Z]{3}$Product Name of the Institution for this account, proprietary definition.
255Specifications that might be provided by the financial institution - characteristics of the account - characteristics of the relevant card.
255Name of the legal account owner. If there is more than one owner, then e.g. two names might be noted here. For a corporate account, the corporate name is used for this attribute.
255An alias to a payment account via a registered mobile phone number.
255The financial account ID provided by the integrator.
255The financial account ID provided by the institution/bank.
255